Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::TextAnimationSaver Class Reference

テキストアニメーションセーバ More...

`#include <TextAnimationSaver.h>`

List of all members.

## Public Member Functions
| TextAnimationSaver ()
| コンストラクタ
virtual | ~TextAnimationSaver ()
| デストラクタ
virtual void | save (const String &filePath, AnimationManager *manager)
| セーブ
virtual void | save (TextWriter *textWriter, AnimationManager *manager)
| セーブ
## Protected Member Functions
virtual void | writeHeader ()
| ヘッダの書き出し
virtual int | countObjects ()
| オブジェクトのカウント
virtual void | writeAnimationList ()
| アニメーションリストの書き出し
virtual void | writeLink ()
| リンクの書き出し
virtual void | writeAnimationSet (AnimationSet *animation)
| アニメーションセットの書き出し
virtual void | writeCameraAnimation (CameraAnimation *animation)
| カメラアニメーションの書き出し
virtual void | writeCameraAnimationData (CameraAnimationData *data)
| カメラアニメーションデータの書き出し
virtual void | writeSceneNodeAnimation (SceneNodeAnimation *animation)
| シーンノードアニメーションの書き出し
virtual void | writeSceneNodeAnimationData (SceneNodeAnimationData *data)
| シーンノードアニメーションデータの書き出し
virtual void | writeCharacterModelAnimation (CharacterModelAnimation *animation)
| キャラクタモデルアニメーションの書き出し
virtual void | writeCharacterModelAnimationData (CharacterModelAnimationData *data)
| キャラクタモデルアニメーションデータの書き出し
virtual void | writeAnimationSetLink (AnimationSet *animation)
| アニメーションセットリンクの書き出し
virtual void | writeCameraAnimationLink (CameraAnimation *animation)
| カメラアニメーションリンクの書き出し
virtual void | writeSceneNodeAnimationLink (SceneNodeAnimation *animation)
| シーンノードアニメーションリンクの書き出し
virtual void | writeCharacterModelAnimationLink (CharacterModelAnimation *animation)
| キャラクタモデルアニメーションリンクの書き出し
virtual void | writeVectorInterpolator (VectorInterpolator *interpolator, const String &name, const String &tabDepth)
| ベクトル補間の書き出し
virtual void | writeVectorConstantInterpolator (VectorConstantInterpolator *interpolator, const String &name, const String &tabDepth)
| ベクトル定数補間の書き出し
virtual void | writeVectorArrayInterpolator (VectorArrayInterpolator *interpolator, const String &name, const String &tabDepth)
| ベクトル配列補間の書き出し
virtual void | writeVectorLinearInterpolator (VectorLinearInterpolator *interpolator, const String &name, const String &tabDepth)
| ベクトル線形補間の書き出し
virtual void | writeRotationInterpolator (RotationInterpolator *interpolator, const String &name, const String &tabDepth)
| 回転補間の書き出し
virtual void | writeRotationConstantInterpolator (RotationConstantInterpolator *interpolator, const String &name, const String &tabDepth)
| 回転定数補間の書き出し
virtual void | writeEulerArrayInterpolator (EulerArrayInterpolator *interpolator, const String &name, const String &tabDepth)
| オイラー回転配列補間の書き出し
virtual void | writeQuaternionArrayInterpolator (QuaternionArrayInterpolator *interpolator, const String &name, const String &tabDepth)
| 四元数回転配列補間の書き出し
virtual void | writeQuaternionLinearInterpolator (QuaternionLinearInterpolator *interpolator, const String &name, const String &tabDepth)
| 四元数回転線形補間の書き出し
virtual void | writeBool (bool)
| boolの書き出し
virtual void | writeLineComment ()
| 線コメントの書き出し
virtual void | writeBlockComment (const String &blockName)
| ブロックコメントの書き出し
## Protected Attributes
TextWriter * | writer_
| ライタ
AnimationManager * | manager_
| アニメーションマネージャ
int | animationCount_
| アニメーションカウント
int | animationSetCount_
| アニメーションセットカウント
int | cameraCount_
| カメラアニメーションカウント
int | sceneNodeCount_
| シーンノードアニメーションカウント
int | characterModelCount_
| キャラクタモデルアニメーションカウント
int | animationDataCount_
| アニメーションデータカウント
int | cameraDataCount_
| カメラアニメーションデータカウント
int | sceneNodeDataCount_
| シーンノードアニメーションデータカウント
int | characterModelDataCount_
| キャラクタモデルアニメーションデータカウント

## Detailed Description

テキストアニメーションセーバ

Definition at line 53 of file TextAnimationSaver.h.

## Member Function Documentation

int Lamp::TextAnimationSaver::countObjects | ( |  | ) | `[protected, virtual]`

| オブジェクトのカウント Returns: オブジェクト数 Definition at line 88 of file TextAnimationSaver.cpp. References animationCount_, animationDataCount_, animationSetCount_, cameraCount_, cameraDataCount_, characterModelCount_, characterModelDataCount_, ErrorOut, Lamp::AnimationManager::get(), Lamp::AnimationManager::getCount(), Lamp::AnimationManager::getData(), Lamp::AnimationManager::getDataCount(), Lamp::Animation::isAnimationSet(), Lamp::Animation::isCameraAnimation(), Lamp::AnimationData::isCameraAnimationData(), Lamp::Animation::isCharacterModelAnimation(), Lamp::AnimationData::isCharacterModelAnimationData(), Lamp::Animation::isSceneNodeAnimation(), Lamp::AnimationData::isSceneNodeAnimationData(), manager_, sceneNodeCount_, and sceneNodeDataCount_. Referenced by save().

void Lamp::TextAnimationSaver::save | ( | TextWriter * | textWriter,
|  | AnimationManager * | manager
| ) | `[virtual]`

  | セーブ Parameters:
  textWriter | テキストライタ
  manager | セーブするアニメーションマネージャ
Definition at line 63 of file TextAnimationSaver.cpp. References countObjects(), manager_, writeAnimationList(), writeHeader(), writeLineComment(), writeLink(), and writer_.

void Lamp::TextAnimationSaver::save | ( | const String & | filePath,
|  | AnimationManager * | manager
| ) | `[virtual]`

  | セーブ Parameters:
  filePath | ファイルパス
  manager | セーブするアニメーションマネージャ
Definition at line 55 of file TextAnimationSaver.cpp.

void Lamp::TextAnimationSaver::writeAnimationSet | ( | AnimationSet * | animation | ) | `[protected, virtual]`

  | アニメーションセットの書き出し Parameters:
  animation | 書き出すアニメーションセット
Definition at line 280 of file TextAnimationSaver.cpp. References Lamp::Animation::getName(), Lamp::Animation::isEnabled(), writeBool(), writer_, and Lamp::TextWriter::writeText(). Referenced by writeAnimationList().

void Lamp::TextAnimationSaver::writeAnimationSetLink | ( | AnimationSet * | animation | ) | `[protected, virtual]`

  | アニメーションセットリンクの書き出し Parameters:
  animation | リンクを書き出すアニメーションセット
Definition at line 452 of file TextAnimationSaver.cpp. References Lamp::AnimationSet::getAnimation(), Lamp::AnimationSet::getAnimationCount(), Lamp::Animation::getName(), writer_, and Lamp::TextWriter::writeText(). Referenced by writeLink().

void Lamp::TextAnimationSaver::writeBlockComment | ( | const String & | blockName | ) | `[protected, virtual]`

  | ブロックコメントの書き出し Parameters:
  blockName | ブロック名
Definition at line 764 of file TextAnimationSaver.cpp. References writeLineComment(), writer_, and Lamp::TextWriter::writeText(). Referenced by writeAnimationList(), writeHeader(), and writeLink().

void Lamp::TextAnimationSaver::writeCameraAnimation | ( | CameraAnimation * | animation | ) | `[protected, virtual]`

  | カメラアニメーションの書き出し Parameters:
  animation | 書き出すカメラアニメーション
Definition at line 294 of file TextAnimationSaver.cpp. References Lamp::Animation::getName(), Lamp::ObjectAnimation::getTargetName(), Lamp::Animation::isEnabled(), writeBool(), writer_, and Lamp::TextWriter::writeText(). Referenced by writeAnimationList().

void Lamp::TextAnimationSaver::writeCameraAnimationData | ( | CameraAnimationData * | data | ) | `[protected, virtual]`

  | カメラアニメーションデータの書き出し Parameters:
  data | 書き出すカメラアニメーションデータ
Definition at line 310 of file TextAnimationSaver.cpp. References Lamp::AnimationData::getName(), Lamp::CameraAnimationData::getRotation(), Lamp::CameraAnimationData::getSequenceCount(), Lamp::CameraAnimationData::getTranslation(), Lamp::AnimationData::isLooped(), writeBool(), Lamp::TextWriter::writeFormat(), writer_, writeRotationInterpolator(), Lamp::TextWriter::writeText(), and writeVectorInterpolator(). Referenced by writeAnimationList().

void Lamp::TextAnimationSaver::writeCameraAnimationLink | ( | CameraAnimation * | animation | ) | `[protected, virtual]`

  | カメラアニメーションリンクの書き出し Parameters:
  animation | リンクを書き出すカメラアニメーション
Definition at line 468 of file TextAnimationSaver.cpp. References Lamp::CameraAnimation::getAnimationData(), Lamp::AnimationData::getName(), Lamp::Animation::getName(), writer_, and Lamp::TextWriter::writeText(). Referenced by writeLink().

void Lamp::TextAnimationSaver::writeCharacterModelAnimation | ( | CharacterModelAnimation * | animation | ) | `[protected, virtual]`

  | キャラクタモデルアニメーションの書き出し Parameters:
  animation | 書き出すキャラクタモデルアニメーション
Definition at line 387 of file TextAnimationSaver.cpp. References Lamp::CharacterModelAnimation::getBoneCount(), Lamp::CharacterModelAnimation::getBoneName(), Lamp::Animation::getName(), Lamp::ObjectAnimation::getTargetName(), Lamp::Animation::isEnabled(), writeBool(), Lamp::TextWriter::writeFormat(), writer_, and Lamp::TextWriter::writeText(). Referenced by writeAnimationList().

void Lamp::TextAnimationSaver::writeCharacterModelAnimationData | ( | CharacterModelAnimationData * | data | ) | `[protected, virtual]`

  | キャラクタモデルアニメーションデータの書き出し Parameters:
  data | 書き出すキャラクタモデルアニメーションデータ
Definition at line 413 of file TextAnimationSaver.cpp. References Lamp::CharacterModelAnimationData::getBoneCount(), Lamp::AnimationData::getName(), Lamp::CharacterModelAnimationData::getRotation(), Lamp::CharacterModelAnimationData::getScale(), Lamp::CharacterModelAnimationData::getSequenceCount(), Lamp::CharacterModelAnimationData::getTranslation(), Lamp::AnimationData::isLooped(), writeBool(), Lamp::TextWriter::writeFormat(), writer_, writeRotationInterpolator(), Lamp::TextWriter::writeText(), and writeVectorInterpolator(). Referenced by writeAnimationList().

void Lamp::TextAnimationSaver::writeCharacterModelAnimationLink | ( | CharacterModelAnimation * | animation | ) | `[protected, virtual]`

  | キャラクタモデルアニメーションリンクの書き出し Parameters:
  animation | リンクを書き出すキャラクタモデルアニメーション
Definition at line 488 of file TextAnimationSaver.cpp. References Lamp::CharacterModelAnimation::getAnimationData(), Lamp::AnimationData::getName(), Lamp::Animation::getName(), writer_, and Lamp::TextWriter::writeText(). Referenced by writeLink().

void Lamp::TextAnimationSaver::writeEulerArrayInterpolator | ( | EulerArrayInterpolator * | interpolator,
|  | const String & | name,
|  | const String & | tabDepth
| ) | `[protected, virtual]`

  | オイラー回転配列補間の書き出し Parameters:
  interpolator | オイラー回転配列補間
  name | 名前
  tabDepth | タブ深度
Definition at line 662 of file TextAnimationSaver.cpp. References Lamp::EulerArrayInterpolator::getSize(), Lamp::EulerArrayInterpolator::getValue(), Lamp::TextWriter::writeFormat(), writer_, Lamp::TextWriter::writeText(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by writeRotationInterpolator().

void Lamp::TextAnimationSaver::writeQuaternionArrayInterpolator | ( | QuaternionArrayInterpolator * | interpolator,
|  | const String & | name,
|  | const String & | tabDepth
| ) | `[protected, virtual]`

  | 四元数回転配列補間の書き出し Parameters:
  interpolator | 四元数回転配列補間
  name | 名前
  tabDepth | タブ深度
Definition at line 690 of file TextAnimationSaver.cpp. References Lamp::QuaternionArrayInterpolator::getSize(), Lamp::QuaternionArrayInterpolator::getValue(), Lamp::Quaternion::w, Lamp::TextWriter::writeFormat(), writer_, Lamp::TextWriter::writeText(), Lamp::Quaternion::x, Lamp::Quaternion::y, and Lamp::Quaternion::z. Referenced by writeRotationInterpolator().

void Lamp::TextAnimationSaver::writeQuaternionLinearInterpolator | ( | QuaternionLinearInterpolator * | interpolator,
|  | const String & | name,
|  | const String & | tabDepth
| ) | `[protected, virtual]`

  | 四元数回転線形補間の書き出し Parameters:
  interpolator | 四元数回転線形補間
  name | 名前
  tabDepth | タブ深度
Definition at line 718 of file TextAnimationSaver.cpp. References Lamp::QuaternionLinearInterpolator::getKeyCount(), Lamp::QuaternionLinearInterpolator::getTime(), Lamp::QuaternionLinearInterpolator::getValue(), Lamp::Quaternion::w, Lamp::TextWriter::writeFormat(), writer_, Lamp::TextWriter::writeText(), Lamp::Quaternion::x, Lamp::Quaternion::y, and Lamp::Quaternion::z. Referenced by writeRotationInterpolator().

void Lamp::TextAnimationSaver::writeRotationConstantInterpolator | ( | RotationConstantInterpolator * | interpolator,
|  | const String & | name,
|  | const String & | tabDepth
| ) | `[protected, virtual]`

  | 回転定数補間の書き出し Parameters:
  interpolator | 回転定数補間
  name | 名前
  tabDepth | タブ深度
Definition at line 639 of file TextAnimationSaver.cpp. References Lamp::RotationConstantInterpolator::getLength(), Lamp::RotationConstantInterpolator::getQuaternion(), Lamp::Quaternion::w, Lamp::TextWriter::writeFormat(), writer_, Lamp::TextWriter::writeText(), Lamp::Quaternion::x, Lamp::Quaternion::y, and Lamp::Quaternion::z. Referenced by writeRotationInterpolator().

void Lamp::TextAnimationSaver::writeRotationInterpolator | ( | RotationInterpolator * | interpolator,
|  | const String & | name,
|  | const String & | tabDepth
| ) | `[protected, virtual]`

  | 回転補間の書き出し Parameters:
  interpolator | 回転補間
  name | 名前
  tabDepth | タブ深度
Definition at line 609 of file TextAnimationSaver.cpp. References Lamp::RotationInterpolator::castEulerArrayInterpolator(), Lamp::RotationInterpolator::castQuaternionArrayInterpolator(), Lamp::RotationInterpolator::castQuaternionLinearInterpolator(), Lamp::RotationInterpolator::castRotationConstantInterpolator(), ErrorOut, Lamp::RotationInterpolator::isEulerArrayInterpolator(), Lamp::RotationInterpolator::isQuaternionArrayInterpolator(), Lamp::RotationInterpolator::isQuaternionLinearInterpolator(), Lamp::RotationInterpolator::isRotationConstantInterpolator(), NULL, writeEulerArrayInterpolator(), writeQuaternionArrayInterpolator(), writeQuaternionLinearInterpolator(), writer_, writeRotationConstantInterpolator(), and Lamp::TextWriter::writeText(). Referenced by writeCameraAnimationData(), writeCharacterModelAnimationData(), and writeSceneNodeAnimationData().

void Lamp::TextAnimationSaver::writeSceneNodeAnimation | ( | SceneNodeAnimation * | animation | ) | `[protected, virtual]`

  | シーンノードアニメーションの書き出し Parameters:
  animation | 書き出すシーンノードアニメーション
Definition at line 339 of file TextAnimationSaver.cpp. References Lamp::Animation::getName(), Lamp::ObjectAnimation::getTargetName(), Lamp::Animation::isEnabled(), writeBool(), writer_, and Lamp::TextWriter::writeText(). Referenced by writeAnimationList().

void Lamp::TextAnimationSaver::writeSceneNodeAnimationData | ( | SceneNodeAnimationData * | data | ) | `[protected, virtual]`

  | シーンノードアニメーションデータの書き出し Parameters:
  data | 書き出すシーンノードアニメーションデータ
Definition at line 355 of file TextAnimationSaver.cpp. References Lamp::AnimationData::getName(), Lamp::SceneNodeAnimationData::getRotation(), Lamp::SceneNodeAnimationData::getScale(), Lamp::SceneNodeAnimationData::getSequenceCount(), Lamp::SceneNodeAnimationData::getTranslation(), Lamp::AnimationData::isLooped(), writeBool(), Lamp::TextWriter::writeFormat(), writer_, writeRotationInterpolator(), Lamp::TextWriter::writeText(), and writeVectorInterpolator(). Referenced by writeAnimationList().

void Lamp::TextAnimationSaver::writeSceneNodeAnimationLink | ( | SceneNodeAnimation * | animation | ) | `[protected, virtual]`

  | シーンノードアニメーションリンクの書き出し Parameters:
  animation | リンクを書き出すシーンノードアニメーション
Definition at line 478 of file TextAnimationSaver.cpp. References Lamp::SceneNodeAnimation::getAnimationData(), Lamp::AnimationData::getName(), Lamp::Animation::getName(), writer_, and Lamp::TextWriter::writeText(). Referenced by writeLink().

void Lamp::TextAnimationSaver::writeVectorArrayInterpolator | ( | VectorArrayInterpolator * | interpolator,
|  | const String & | name,
|  | const String & | tabDepth
| ) | `[protected, virtual]`

  | ベクトル配列補間の書き出し Parameters:
  interpolator | ベクトル配列補間
  name | 名前
  tabDepth | タブ深度
Definition at line 550 of file TextAnimationSaver.cpp. References Lamp::VectorArrayInterpolator::getSize(), Lamp::VectorArrayInterpolator::getValue(), Lamp::TextWriter::writeFormat(), writer_, Lamp::TextWriter::writeText(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by writeVectorInterpolator().

void Lamp::TextAnimationSaver::writeVectorConstantInterpolator | ( | VectorConstantInterpolator * | interpolator,
|  | const String & | name,
|  | const String & | tabDepth
| ) | `[protected, virtual]`

  | ベクトル定数補間の書き出し Parameters:
  interpolator | ベクトル定数補間
  name | 名前
  tabDepth | タブ深度
Definition at line 527 of file TextAnimationSaver.cpp. References Lamp::VectorConstantInterpolator::getLength(), Lamp::VectorConstantInterpolator::getValue(), Lamp::TextWriter::writeFormat(), writer_, Lamp::TextWriter::writeText(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by writeVectorInterpolator().

void Lamp::TextAnimationSaver::writeVectorInterpolator | ( | VectorInterpolator * | interpolator,
|  | const String & | name,
|  | const String & | tabDepth
| ) | `[protected, virtual]`

  | ベクトル補間の書き出し Parameters:
  interpolator | ベクトル補間
  name | 名前
  tabDepth | タブ深度
Definition at line 500 of file TextAnimationSaver.cpp. References Lamp::VectorInterpolator::castVectorArrayInterpolator(), Lamp::VectorInterpolator::castVectorConstantInterpolator(), Lamp::VectorInterpolator::castVectorLinearInterpolator(), ErrorOut, Lamp::VectorInterpolator::isVectorArrayInterpolator(), Lamp::VectorInterpolator::isVectorConstantInterpolator(), Lamp::VectorInterpolator::isVectorLinearInterpolator(), NULL, writer_, Lamp::TextWriter::writeText(), writeVectorArrayInterpolator(), writeVectorConstantInterpolator(), and writeVectorLinearInterpolator(). Referenced by writeCameraAnimationData(), writeCharacterModelAnimationData(), and writeSceneNodeAnimationData().

void Lamp::TextAnimationSaver::writeVectorLinearInterpolator | ( | VectorLinearInterpolator * | interpolator,
|  | const String & | name,
|  | const String & | tabDepth
| ) | `[protected, virtual]`

  | ベクトル線形補間の書き出し Parameters:
  interpolator | ベクトル線形補間
  name | 名前
  tabDepth | タブ深度
Definition at line 578 of file TextAnimationSaver.cpp. References Lamp::VectorLinearInterpolator::getKeyCount(), Lamp::VectorLinearInterpolator::getTime(), Lamp::VectorLinearInterpolator::getValue(), Lamp::TextWriter::writeFormat(), writer_, Lamp::TextWriter::writeText(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by writeVectorInterpolator().

The documentation for this class was generated from the following files:

- TextAnimationSaver.h
- TextAnimationSaver.cpp